classification
Title: pyinstaller can be added to docs, py2exe ref can be updated
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Nathaniel Manista, berker.peksag, denfromufa, docs@python, erlendaasland, miss-islington, pablogsal, paul.moore, ronaldoussoren, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2017-06-26 04:26 by denfromufa, last changed 2021-05-22 22:23 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1158 closed denfromufa, 2017-06-26 04:28
PR 26309 merged erlendaasland, 2021-05-22 12:02
PR 26311 merged miss-islington, 2021-05-22 22:03
PR 26312 merged miss-islington, 2021-05-22 22:03
Messages (5)
msg296844 - (view) Author: Denis Akhiyarov (denfromufa) * Date: 2017-06-26 04:26
https://github.com/python/cpython/pull/1158

It is not clear why this FAQ item is written in addition to this document:

https://github.com/python/cpython/blob/master/Doc/faq/windows.rst#how-do-i-make-python-scripts-executable

https://github.com/python/cpython/blob/master/Doc/faq/programming.rst#how-can-i-create-a-stand-alone-binary-from-a-python-script
msg347648 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2019-07-11 03:30
I've just come across the fact that the Windows FAQ is out of date again.  Denis, your PR still has some pending change requests; are you interested in updating your PR, or would you rather someone else take this over?
msg347905 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2019-07-14 10:31
Please also add a reference to py2app (at least of the programming FAQ as py2app is macOS-only).
msg394189 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-05-22 22:23
New changeset 413df57968e4d612f87722bb8454a66357f84839 by Miss Islington (bot) in branch '3.10':
bpo-30757: Improve "How to make stand-alone binaries" FAQ (GH-26309) (GH-26311)
https://github.com/python/cpython/commit/413df57968e4d612f87722bb8454a66357f84839
msg394190 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-05-22 22:23
New changeset 099e6a4096382697dda55d58d3a96f68375ea546 by Miss Islington (bot) in branch '3.9':
bpo-30757: Improve "How to make stand-alone binaries" FAQ (GH-26309) (GH-26312)
https://github.com/python/cpython/commit/099e6a4096382697dda55d58d3a96f68375ea546
History
Date User Action Args
2021-05-22 22:23:55pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-05-22 22:23:14pablogsalsetmessages: + msg394190
2021-05-22 22:23:10pablogsalsetstatus: pending -> open
nosy: + pablogsal
messages: + msg394189

2021-05-22 22:09:23erlendaaslandsetstatus: open -> pending
2021-05-22 22:03:31miss-islingtonsetpull_requests: + pull_request24910
2021-05-22 22:03:26miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24909
2021-05-22 12:02:59erlendaaslandsetkeywords: + patch
nosy: + erlendaasland
pull_requests: + pull_request24908
2021-05-22 12:02:46erlendaaslandsetnosy: + berker.peksag

versions: + Python 3.10, Python 3.11, - Python 3.7, Python 3.8
2020-08-17 13:35:50Nathaniel Manistasetnosy: + Nathaniel Manista
2019-07-14 10:31:59ronaldoussorensetnosy: + ronaldoussoren
messages: + msg347905
2019-07-11 03:30:59zach.waresetversions: + Python 3.8, Python 3.9, - Python 2.7, Python 3.3, Python 3.4, Python 3.5, Python 3.6
nosy: + paul.moore, tim.golden, zach.ware, steve.dower

messages: + msg347648

components: + Windows
stage: patch review
2017-06-26 04:28:11denfromufasetpull_requests: + pull_request2443
2017-06-26 04:26:08denfromufacreate